"""
Datacore collector for CMDBase.
"""
from .commands import add_arguments
from .commons import Context, Entity
from .host import Host
from .port import Port
from .portconnection import PortConnection
from .server import Server
from .virtualdisk import VirtualDisk


try:
    # Version generated by setuptools_scm during build
    from ._version import __version__ # type: ignore
except ImportError:
    __version__ = None


__all__ = [_obj.__name__ for _obj in [
    # Context and generic entity classes
    Context, Entity,
    # Entity classes
    Host, Port, PortConnection, Server, VirtualDisk,
    # Definition of commands
    add_arguments,
]]
